<template>
	<view class="shipmentBriefInfo">
		<bs-pageHeader-orderNo :shipmentNo="shipmentNo" />
		<view class="primary-info routine_radius_card flex_center">
			<view class="left-icon">
				<view :class="['t-icon', stopsInfo.loadStop ? 't-icon-a-zhuang2x1' : 't-icon-a-xie2x1']" />
			</view>
			<view class="primary-desc flex_col">
				<view style="margin-bottom: 8rpx;" class="font_bolder">{{stopsInfo.locationName}}</view>
				<view>{{stopsInfo.locationAddress}}</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		name: "shipmentBriefInfo",
		options: { styleIsolation: 'shared' },
		created: function() { //定义组件的生命周期
			this.initData()
		},
		data() {
			return {
				stopsInfo: {}, //站点信息，
				shipmentNo: '' //运单号
			};
		},
		methods: {
			initData() {
				const appInstance = getApp()
				const { stopsInfo, shipmentInfo } = appInstance.globalData
				this.stopsInfo = stopsInfo
				this.shipmentNo = shipmentInfo.shipmentNo
			}
		}
	}
</script>

<style lang="scss">
	.primary-info {
		.left-icon {
			position: relative;
			margin-right: 20rpx;

			.t-icon {
				width: 70rpx;
				height: 70rpx;
			}
		}
	}
</style>
